# ArrayObject::offsetExists

(PHP 5, PHP 7, PHP 8)

ArrayObject::offsetExists — Returns whether the requested index exists

### 说明

public ArrayObject::offsetExists(mixed `$key`): bool

### 参数

`key`

  The index being checked.

### 返回值

`true` if the requested index exists, otherwise `false`

### 示例

示例 #1 ArrayObject::offsetExists() example

`<?php
$arrayobj = new ArrayObject(array('zero', 'one', 'example'=>'e.g.'));
var_dump($arrayobj->offsetExists(1));
var_dump($arrayobj->offsetExists('example'));
var_dump($arrayobj->offsetExists('notfound'));
?>`

以上示例会输出：

    bool(true)
    bool(true)
    bool(false)

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open